/**
 * Created by kogting on 14-6-6.
 */
$(function(){

    //    确认和取消
    $('button[type=submit],button[type=reset]').on('click',function(e){
        e.preventDefault();
        history.back();
    });

    $('table th.dataToggle').on('click',function(){
        var ind = $(this).index();
        $('table tr td').eq(ind).toggleClass("hide-piece");
    });

    // 切换类型
    $('.btn-group .dropdown-menu a').on('click',function(e){
        var select = $(this).text();
        $(this).parents('.btn-group').children().first().find("span").first().html(select);
        if($(this).attr("title")=="bootbox-confirm"){
            bootbox.confirm("确定删除吗?删除后无法再找回");
        }
    });


    //删除提示
    $("button.btn-delete").on('click',function(){
       bootbox.confirm("确定删除吗?删除后无法再找回");
    });

//    密码的显示转换
    $(".pswToggle input[type=checkbox]").on('click',function(){
        var inp = $(this).parents('form').find("input[name=password],input[name=password2]")
        if(inp.attr("type")=='password'){
            inp.attr('type','text');
        }else{
            inp.attr('type','password');
        };
    });

//    创建创意选项--开关

//    选择嵌入式或悬浮式
    $(".videoType input[type=radio]").on('click',function(){
        var ind = $(this).parent().index();
        switch (ind)
        {
            case 0:
                $("#inlineVideo").removeClass("hidden");
                $("#OverlayVideo").addClass("hidden");
                $("#adPutType").removeClass("hidden");
                $("#adPutType input,#inlineVideo input").attr("disable","false");
                $(".hidden input").attr("disable","true")
            break;
            case 1:
                $("#OverlayVideo").removeClass("hidden");
                $("#inlineVideo").addClass("hidden");
                $("#adPutType").addClass("hidden");
                $("#OverlayVideo input").attr("disable","false");
                $(".hidden input").attr("disable","true")
            break;
        }
    });

//    Overlay Type
    $(".Overlay-Type input[type=radio]").on('click',function(){
        var ind = $(this).parent().index();
        $("#Overlay_Type").children("div").addClass("hidden");
        $("#Overlay_Type").children("div").eq(ind).removeClass("hidden");
        $("#Overlay_Type div input").attr("disable","false");
        $(".hidden input").attr("disable","true")
    });

//    Overlay click action
    $(".OverlayAction input[type=radio]").on('click',function(){
        var ind = $(this).parent().index();
        switch (ind)
        {
            case 0:
                $("#adPutType").addClass("hidden");
                $("input").attr("disable","false");
                $(".hidden input").attr("disable","true")
            break;
            case 1:
                $("#adPutType").removeClass("hidden");
                $("input").attr("disable","false");
                $(".hidden input").attr("disable","true")
            break;
        }
    });

//    RTMP or HTTP
    $(".putType input[type=radio]").on('click',function(){
        var ind = $(this).parent().index();
        switch (ind)
        {
            case 0:
                $(".typeRTMP").removeClass("hidden");
                $(".typeHTTP").addClass("hidden");
                $("input").attr("disable","false");
                $(".hidden input").attr("disable","true")
            break;
            case 1:
                $(".typeRTMP").addClass("hidden");
                $(".typeHTTP").removeClass("hidden");
                $("input").attr("disable","false");
                $(".hidden input").attr("disable","true")
            break;
        }
    });
});